## plexus-container-default 1.0-alpha-9-stable-1

=== debian/changelog ===
plexus-container-default (1.0-alpha-9-stable-1-7) unstable; urgency=low

  * debian/control:
    - Build depend on default-jdk-doc instead of openjdk-6-doc (Closes: #567288)
    - Build depend on debhelper >= 9
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Removed the duplicate Section field for libplexus-container-default-java
    - Fixed the long description of libplexus-container-default-java
      (this is not a documentation package)
  * debian/rules: Improved the clean target to allow rebuilds
  * Added a description to debian/patches/pom.diff

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 23 Sep 2013 14:29:57 +0200

plexus-container-default (1.0-alpha-9-stable-1-6) unstable; urgency=low

  * Team upload.
  * Replace Depends: classpath-doc by default-jdk-doc.
  * Remove Paul from Uploaders list. There are no uploaders left.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Tue, 23 Aug 2011 21:45:36 +0200

plexus-container-default (1.0-alpha-9-stable-1-5) unstable; urgency=low

  * Add Build-Depends on openjdk-6-doc (Closes: #543115)
  * Bump up Standards-Version to 3.8.3, no change

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 02 Sep 2009 21:29:42 +0100

plexus-container-default (1.0-alpha-9-stable-1-4) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 23:34:45 +0200

plexus-container-default (1.0-alpha-9-stable-1-3) experimental; urgency=low

  [ Ludovic Claude ]
  * Change section to java
  * Add the Maven POM to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar 
    to the Maven repository
  * Use mh_mavenrepo to generate the update scripts for the Debian parent POM
  * Correct Lintian warning: use a Homepage attribute in the control file
  * Add Vcs-Browser and Vcs-Svn to the control file
  * Use quilt to patch the POM file as it contains some incorrect information
  * Change the dependency on java-gcj to default-jdk (Closes: #526293)

  [ Michael Koch ]
  * Added watch file.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 23 Mar 2009 23:31:45 +0000

plexus-container-default (1.0-alpha-9-stable-1-2) unstable; urgency=low

  * debian/control: Added (minimum) versions to Build-Depends-Indep.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 17 Jun 2007 00:09:21 +0100

plexus-container-default (1.0-alpha-9-stable-1-1) unstable; urgency=low

  * Changed to target the same release as maven.

 -- Paul Cager <paul-debian@home.paulcager.org>  Wed, 06 Jun 2007 22:46:34 +0100

plexus-container-default (1.0+svn6351-1) unstable; urgency=low

  * Initial release. (Closes: #413522)

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 27 Apr 2007 15:51:00 +0100
