=== debian/control ===
Source: plexus-container-default
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends-Indep: maven-repo-helper, maven-ant-helper (>> 4), ant, ant-optional,
                     junit,
                     junit-doc,
                     default-jdk-doc,
                     libclassworlds-java (>=1.1-alpha-2),
                     libplexus-utils-java (>=1:1),
                     libplexus-utils-java-doc (>=1:1),
                     libxalan2-java                     
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.5.3), default-jdk
Standards-Version: 3.9.4
Vcs-Svn: http://anonscm.debian.org/viewvc/pkg-java/trunk/plexus-container-default
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/plexus-container-default
Homepage: http://plexus.codehaus.org

Package: libplexus-container-default-java
Architecture: all
Depends: ${misc:Depends}, libplexus-utils-java,
         libclassworlds-java (>=1.1-alpha-2)
Suggests: libplexus-container-default-java-doc
Description: utilities for the Plexus framework
 The Plexus project provides a full software stack for creating and executing
 software projects. Based on the Plexus container, the applications can
 utilise component-oriented programming to build modular, reusable components
 that can easily be assembled and reused.
 .
 While Plexus is similar to other inversion-of-control (IoC) or dependency
 injection frameworks such as the Spring Framework, it is a full-fledged
 container that supports many more features such as:
 .
     * Component lifecycles
     * Component instantiation strategies
     * Nested containers
     * Component configuration
     * Auto-wiring
     * Component dependencies, and
     * Various dependency injection techniques including constructor injection,
       setter injection, and private field injection. 

Package: libplexus-container-default-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, default-jdk-doc, libclassworlds-java-doc,
         libplexus-utils-java-doc
Suggests: libplexus-container-default-java
Description: API Documentation for plexus-container-default
 The Plexus project provides a full software stack for creating and executing
 software projects. Based on the Plexus container, the applications can
 utilise component-oriented programming to build modular, reusable components
 that can easily be assembled and reused.
 .
 While Plexus is similar to other inversion-of-control (IoC) or dependency
 injection frameworks such as the Spring Framework, it is a full-fledged
 container that supports many more features such as:
 .
     * Component lifecycles
     * Component instantiation strategies
     * Nested containers
     * Component configuration
     * Auto-wiring
     * Component dependencies, and
     * Various dependency injection techniques including constructor injection,
       setter injection, and private field injection. 
 .
 This package contains the API documentation for
 libplexus-container-default-java
