=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-trax ant-nodeps xalan2 classworlds plexus-utils junit
DEB_ANT_BUILD_TARGET := package javadoc
DEB_ANT_BUILDFILE    := /usr/share/maven-ant-helper/maven-build.xml
DEB_ANT_ARGS         := -Dbasedir=$(realpath .) -Dpackage=$(PACKAGE) -Dversion=$(VERSION)
API_DOCS             := build/api
SVN                  := http://svn.codehaus.org/plexus/plexus-containers/tags/plexus-container-default-$(VERSION)

get-orig-source:
	echo "Getting from $(SVN)"
	mkdir orig_tmp
	cd orig_tmp && \
		svn export -q $(SVN) $(PACKAGE) && \
		tar czf ../../$(PACKAGE)_$(VERSION).orig.tar.gz $(PACKAGE)
	rm -rf orig_tmp

binary-post-install/lib$(PACKAGE)-java::
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=$(PACKAGE)-alpha pom.xml build/$(PACKAGE)-$(VERSION).jar

clean::
	-rm -rf debian/tmp
	mh_clean
	mh_unpatchpoms -plib$(PACKAGE)-java

binary-post-install/lib$(PACKAGE)-java-doc::
	dh_install -plib$(PACKAGE)-java-doc $(API_DOCS) usr/share/doc/lib$(PACKAGE)-java
