=== debian/watch ===
version=3
http://repository.codehaus.org/org/codehaus/plexus/plexus-container-default/ (\d.*)/
